Tagged Questions

The tag has no wiki summary.

learn more… | top users | synonyms

0
votes
3answers
535 views

Can't install php-mssql on CentOS 5

When I try to run yum install php-mssql I get the following error --> Processing Conflict: mysql conflicts MySQL --> Processing Conflict: mysql-server conflicts MySQL-server --> ...
1
vote
1answer
147 views

How can I figure out which PHP extensions aren't being used?

I manage a server (running Ubuntu) which hosts our client's sites with a few dozen different PHP-based websites, mostly small sites but also some installations of CMSes and forums. I used the ...
2
votes
2answers
4k views

PHP - Extensions - no-debug-non-zts-xxxxxxxx

I am compiling php extensions (memcached and xdebug), and when I run make install, they keep getting installed into /usr/local/php/lib/php/extensions/no-debug-non-zts-20090626. So a few questions: ...
2
votes
3answers
4k views

How to force CentOS yum to use a later version of a package dependency already installed (php-common as a dependency of php-xml)

It would appear that the version I have of php-common-5.2.10-1.el5.centos is newer than the one being asked for as a dependency of php-xml when I try to install php-xml using yum install php-xml. The ...
1
vote
2answers
4k views

php-xml install complains of dependency php-common but this is already installed (CentOS)

How do I force php-xml to see the already installed dependency? sudo yum install php-xml complains about: php-common = 5.1.6-34.el5_8 but running yum install php-common ...
1
vote
1answer
4k views

How can I find installed php extensions on Debian?

Is it possible to get a list of installed php extensions on Debian? Is there any simple way to find which extensions exist in debian php packages and which have to be compiled manually (actually three ...
0
votes
1answer
1k views

Debian 6.0: install mysqlnd_ms

I'm trying to install mysqlnd_ms on my new server (Debian 6.0 i386). To do so, I've tried as follow : I install php5-5.4.0-3 and php5-mysqlnd by testing repo. After read this link:1, I try to ...
0
votes
1answer
1k views

Checking if SOAP has been installed on a CentOS with Directadmin

How should I check that and how should I install it? I don't think phpinfo() can help, is that true?
0
votes
1answer
1k views

Receiving error php_mbstring.dll No such file or directory

I am receiving this error in apache error log during httpd restart process. PHP Warning: PHP Startup: Unable to load dynamic library '/usr/lib64/php/modules/php_mbstring.dll' - ...
1
vote
1answer
1k views

SUSE 12.1 Apache startup after oci8 installation

I have got a virtual server running opensuse 11.4 with apache, php, oracle instantclient, and oci installed through pecl. The steps it took for me to have it up and running on 11.4 were: # Install ...
0
votes
1answer
692 views

How to add a extention to the php.ini file

Hi have Centos 6 installed and busy installing wkhtmltopdf, I only have one step left and that is to include extension=phpwkhtmltox.so to the php.ini file, I added it to /etc/php.ini and reloaded ...
0
votes
2answers
2k views

Need help to install php gd on ubuntu with lampp (xampp)

I'm running lampp 1.7.1 on lubuntu oneiric. I need to add extension for php_gd. I installed php5-gd by sudo apt-get install php5-gd Had a look at php.ini and noticed the line ...
1
vote
2answers
16k views

OpenSSL extension for PHP in Ubuntu?

I'm not sure how to recompile PHP with OpenSSL? I've been looking around the OpenSSL PHP page and the OpenSSL tutorials but I don't see any openssl.so or php-openssl.so around my server? Is there a ...
3
votes
3answers
1k views

How can I pass configure options when installing php extensions with pecl?

There is a PHP extension to which I need to pass a configure option when I install it with a pecl command. I can't find a way to do this. Of course I can install it manually, but I need it to be able ...
1
vote
2answers
2k views

Install & Configure PHP to MS SQL Server on Windows 7 (64bit)

I have been striggling to set up the following scenario: Apache 2 (64bit) running on Windows 7 (64bit) PHP (64bit) MS SQL Express 2008 as (local) I have managed to install and configure both ...
0
votes
2answers
2k views

How can clear cache in eAccelerator?

I can't clear the cache in eAccelerator. I have deleted all files from the directory /var/cache/php-eaccelerator/* with the following command: rm -rf /var/cache/php-eaccelerator/* But this does not ...
1
vote
1answer
414 views

PHP upgraded to 5.3.8 - Can't install/upgrade extensions

I managed to upgrade php from 5.2.10 to 5.3.8 in CentOS 5.4. Some of the extensions were lost in the process (mbstring, mysql). One quick run for: yum list installed | grep php Returns: ...
0
votes
3answers
3k views

Trying to install php-soap and getting the 'No package php-soap available.'

Tried this: yum install php-soap Says: No package php-soap available. Then tried this: yum --enablerepo=centosplus install php-soap Still same sh!t. Tried this: rpm -Uvh ...
2
votes
2answers
205 views

“Installing” GD for PHP

I'm new to server admin & Linux and have just got a VPS running CentOS 6. Apache, MySQL and PHP all came installed (along with cPanel and WHM), however I'm now also trying to install the GD ...
0
votes
1answer
397 views

Invalid operation dist-ugprade [closed]

i'm running Apache 2 on Debian at my VPS. Naturally i have problem with restricted GD-library of my php package and i need to fix it (i need imagerotate() function). Before installing php-gd pugin ...
0
votes
2answers
2k views

PHP_FE_FUNCTION : C error when trying to enable extension

I have a question about PHP. I use Ubuntu but I have different PHP builds that I built myself in /opt/php. I have a problem (using PHP 5.3.8) when enabling an extension doing the following synopsis ...
1
vote
1answer
579 views

Install PECL mailparse on XAMPP?

Similar to Is it possible to install Mailparse extension via PECL installation - without recompiling PHP I'm trying to install mailparse on xampp. XAMPP actually has a guide for this, and I've tried ...
0
votes
1answer
3k views

Install XMLReader and writer

I am having problems installing php extensions XMLReader and XMLWriter on my server. In my phpinfo I found that in the php config they were siabled ... So in the php documentation I found this: pecl ...
3
votes
2answers
857 views

phpize: m4 error just in one extension

On Linux, I installed php 5.3.8 from source. Using phpize for installing an extension works fine but not on one specific extension (mysqlnd). # cd /opt/php/5.3.8/ext/pdo && ...
1
vote
3answers
3k views

CentOS 6: PHP can not load gdchart.so and oci8.so compiled by me

I have been trying to add 2 PHP extensions to a freshly installed CentOS 6.0 Linux server, but get the error messages in /var/log/httpd/error_log: [notice] SELinux policy enabled; httpd running as ...
2
votes
2answers
243 views

Do I need all of these Apache modules?

I'm getting 9 second load times on a very powerful server. Query time is .05 and total php time is 9 seconds. Not good! I took a look at my list of apache modules and I'm wondering if there's a ...
3
votes
1answer
393 views

PHP DL Function

Is allowing dynamic extension loading dangerous for some reason? I ask because I need it to include the pecl oauth.so extension to make the Google Adwords PHP SDK work using dl(). I've tried all ...
0
votes
1answer
441 views

Install APC/eaccelerator and Memcached php-extensions on shared hosting

let's say I want to improve my application's performances.And I want to use an Opcode cache tool such as APC or eaccelerator and apply variable caching using Memcached. Let's say then I'm a beginner ...
0
votes
2answers
1k views

Curl extension not working - PHP Warning: PHP Startup: Unable to load dynamic library php_curl.dll

I am using Apache 2.2 server, PHP 5.3.6 on a Windows 7 OS running on a 64-bit system. On starting Apache server, this error appears in the apache error log- PHP Warning: PHP Startup: Unable to ...
5
votes
1answer
3k views

Trying to install pecl Solr extension but it needs curl

When I try to install solr-beta: pecl install solr-beta I get this error: pecl/solr requires PHP extension "curl" No valid packages found install failed The thing is curl is already installed and ...
2
votes
0answers
244 views

MagickWand PHP Module DDL for Windows

I'm struggling with enabling MagickWand as a PHP extension which is ran on Windows (Apache). I am running PHP 5.3.x. (I need namespaces). I have been able to install MagickWand on PHP 5.2.4 but not ...
1
vote
2answers
1k views

Trouble installing xhprof

I'm currently trying to install the xhprof (PECL) extension onto my Mediatemple gridserver. I'm having a bit of a time of it since write restrictions won't allow the PECL installer to work. I've done ...
14
votes
4answers
23k views

how to restart/clear memcache without restarting the whole web server?

/opt/eduserver/eduserver gives me options: Usage: /opt/eduserver/eduserver ...
0
votes
1answer
503 views

How to get PHP mysql_ extension for linux chroot jail?

I've setup a chroot jail using jailkit on my Ubuntu 10.04 system. I've copied the binaries for php and mysql which all worked fine. So from the command line of my chrooted user I can run php ...
5
votes
2answers
2k views

V8js PHP module on Linux - can't find libv8.so

Running into a problem with v8js-0.1.2 (beta) - I'm seeing others have success on the net but regardless of what platform/OS I'm running, I always hit the same problem. I'm currently attempting to ...
0
votes
2answers
660 views

phpMyAdmin setup issues

I am trying to follow the tutorial here to setup the user and pass. It says there that "this section is only applicable if your MySQL server is running with --skip-show-database". First question is, ...
0
votes
1answer
4k views

unable to load dynamic library

I am getting this error when I run php -v: PHP Startup: Unable to load dynamic library '/usr/lib64/php/modules/php_mcrypt.dll' - /usr/lib64/php/modules/php_mcrypt.dll: cannot open shared object file: ...
3
votes
2answers
2k views

cPanel on CentOS: PHP with ZIP?

I've been tasked with a project to install PHP 5.2.x so that it has the ZIP extension onto a CentOS server that is already running PHP via cPanel / Easy Apache. Apparently cPanel's version of PHP ...
0
votes
1answer
715 views

Linking PHP extension (symbol lookup error)

I cleared up some things in my mind and on my server and want to rewrite my question: I got two packages from NetManagement, both belonging to nmcryptgate: a PHP extension (source code) a compiled ...
0
votes
2answers
920 views

PHP libevent on Windows

How can I install libevent on Windows? Tryed to make this via PECL but got an error "WARNING: php_bin C:\PHP\php.exe appears to have a suffix .exe, but config variab le php_suffix does not match"
1
vote
2answers
2k views

Changes made to cli's php.ini not taking effect

I have two php.ini files - /etc/php.ini which loads in case of cli /opt/lampp/etc/php.ini which loads in case of browser. I am able to use PHP's Mailparse extension after adding the line ...
1
vote
1answer
807 views

Is it possible to install Mailparse extension via PECL installation - without recompiling PHP

I am putting this question basically because I want to use PHP: Mailparse extension and stuck in its installation. But, I also want to know some basics of PHP extension installation - Please check ...
0
votes
1answer
614 views

PHP Suhosin extension is not loading

For some reason i have to adjust the suhosin.request.max_vars and suhosin.post.max_vars directives. I'm using ispCP, and it has default the suhosin patch, but as i read, i need to install the ...
0
votes
2answers
2k views

PHP Startup: Unable to load dynamic library '/usr/local/lib/php/extensions/no-debug-non-zts-20060613/'

I am on my new dedicated server and i am getting this error always. php version is 5.3.4 in php.ini extensions is empty and extension_dir is /usr/local/lib/php/extensions/no-debug-non-zts-20060613 ...
0
votes
1answer
118 views

Which sql server php extension for Windows Server 2008 R2

I'e been developing on my local wiindows 7 machine with sql server using the php_sqlsrv_53_ts_vc6 PHP extension. I'm moving my application to the production server which diesn't have the extension ...
1
vote
1answer
4k views

PHP module installed but does not appear in phpinfo()

Im tying to install php5-ffmpeg module on my ubuntu server. I've typed: sudo apt-get install php5-ffmpeg Everything was installed and web server was reloaded. Now, the fallowing line is added to ...
0
votes
1answer
1k views

How can i install memcache for PHP 5.2.10 in CentOS 5.5? (not in repo)

i tried installing memcache from another repo and it all went wrong: [root@mail ~]# php -v PHP Warning: PHP Startup: memcache: Unable to initialize module Module compiled with module API=20050922, ...
1
vote
1answer
309 views

How to install gChartPhp (Google Charts) at CentOS 5 machine

I've copied gChartPhp into /var/www/html on my CentOS 5 Linux machine and it works ok, but I wonder if there is maybe a better way to install and maintain that code. I'm asking this because gChartPhp ...
0
votes
1answer
1k views

How to install pecl uploadprogress on Debian Lenny

I am getting this output/error for # pecl install uploadprogress downloading uploadprogress-1.0.1.tgz ... Starting to download uploadprogress-1.0.1.tgz (8,536 bytes) .....done: 8,536 bytes 4 source ...
0
votes
2answers
1k views

Memcached extension error in PHP

yesterday i migrated to Rackspace (CentOS 5.5). Everything was already configured (apache, php, mysql, memcached) and working well. The only thing i forgot, and installed at last was the mail server ...